Canalplan Bug Tracker



Anonymous Login
2017-10-18 16:05 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000031Canalplan [All Projects] Feature Requestpublic2017-05-15 14:30
Reporterhazumu 
Assigned ToStephen Atty 
PrioritylowSeverityfeatureReproducibilityhave not tried
StatusclosedResolutionwon't fix 
PlatformAndroidOSOS Version
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0000031: first of all this is an amazing site, very usefull. but i want to use it on the go
DescriptionI know that you have put a lot of effort into this program and site, and I have to say that it is the most usefull I have seen on the net, but most boaters struggles with online access and to have an adriod app that did the same whist out crusing, with ouot the need for access wouold be amazing and the best thing in the world for me and I would pay good money to down load it too.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000088

Stephen Atty (administrator)

Last edited: 2015-10-06 21:35

View 2 revisions

The whole idea of moving to the web was to avoid us having to keep recoding the complex application in different languages. An Android App would have to be coded in Java which is not a language either of us have any significant experience in. It wouldn't be possible to justify the cost of employing external developers to build a java application and to keep it up to date with bug fixes etc.

An Android version would have to be a stripped down version and not contain photos etc as there wouldn't be enough storage on a phone. Plus keeping the databases in sync would use quite a considerable amount of bandwidth even if we used delta files.

~0000089

Will Chapman (reporter)

I've been experimenting with the Wordpress CanalPlan plugin which facilitates the exchange of information between CanalPlan and, as a result, because Android allows browsing Wordpress sites doesn't that amount to a partial solution to the poster's request?

I didn't get the link fully working but I saw enough to think that with a few more shortcodes/or API added to the plugin, updates to a planned route on Canal Plan could be achieved from a smartphone?

I'm fairly proficient with PHP and would be happy to assist with such a venture as would, I suspect, other boaters with coding skills.

~0000090

Stephen Atty (administrator)

Using an API would reduce the amount of coding needed on the smart phone but would still involve having a functioning and reliable internet connection - and if you've got that then why not use the main site (with an appropriately customised adaptive template) The problem isn't the API on the server (which is extendible) its the fact that the application on the smart phone would need to be developed.

~0000096

Will Chapman (reporter)

One of the benefits of a Smartphone is that it is frequently easier to grab a temporary internet/data connection whilst the phone/boat is moving thereby allowing the exchange of a minimal amount of information (current position ->CPlan and new predicted ETA->CPlan->SPhone).

If this was practical it would be useful for real-time planning of one's trip. I can think of other benefits too - if CPlan has my position it could it not also send an update on the location of the next diesel/water/pumpout/rubbish disposal etc.?

~0000097

Stephen Atty (administrator)

But it would still need an App coding - even if it was basically a wrapper onto a set of API calls. Android Apps are coded in Java which would mean we'd have to employ people to code it and its limited market would mean that either the app would be extremely expensive or we'd end up paying for it ourselves. Canalplan isn't something we make money from.

~0000099

Will Chapman (reporter)

What I had in mind was not expecting you to do a mass of coding but rather to enable those of us that have our own websites (and some knowledge of coding) to be able to query CanalPlan as a type of webserver.

For example it is a straightforward matter for me to write a function in php that calls http_post or http_get to send some data (i.e current position and info required i.e new eta, distance to diesel/water etc) to CanalPlan which request a response containing the required new parameters in json or xml format which my website would parse out.

It occurs to me that it might be possible to include this sort of functionality in the CanalPlan Wordpress plugin.?

~0000100

Stephen Atty (administrator)

The original request is for an Android App - that involves a lot of work.

Enhancing the API would involve less work but of course also opens the API for abuse by the scum of the internet so we'd have to make sure it was robust.

~0000792

Noggin (reporter)

If you have reception on your SmartPhone using data from your phone package, you can set the phone up as a "hotspot" and connect up a PC using wifi. Expensive as a habit, but for occasional use a good solution?

~0000795

Stephen Atty (administrator)

We use a MiFi on the boat - shared it between the 4 of us onboard so we could use laptops / tablets.

Nick has been doing some work on the API so we might be able to look at creating a few minimal web pages that are text only that use the geolocation features in the browser and return a text only subset of the data (for example maybe the next 2 "nearest" for each category).

~0000796

Stephen Atty (administrator)

Created a discussion topic in the forums

http://canalplan.eu/forums/viewtopic.php?id=27

~0001086

Stephen Atty (administrator)

No resources to build custom android apps.

Topic opened in forums to discuss this.

~0001087

Stephen Atty (administrator)

No resources to create apps. Discussion topic opened in forums

~0001113

Autoclose (administrator)

Closing automatically, stayed too long in feedback state. Feel free to re-open with additional information if you think the issue is not resolved.
+Notes

-Issue History
Date Modified Username Field Change
2015-10-06 17:12 hazumu New Issue
2015-10-06 17:49 Stephen Atty Note Added: 0000088
2015-10-06 21:35 Stephen Atty Note Edited: 0000088 View Revisions
2015-10-07 09:17 Will Chapman Note Added: 0000089
2015-10-07 11:26 Stephen Atty Note Added: 0000090
2015-10-07 14:10 Stephen Atty Priority high => low
2015-10-07 14:10 Stephen Atty Platform andriod => Android
2015-10-11 13:40 Will Chapman Note Added: 0000096
2015-10-11 19:13 Stephen Atty Note Added: 0000097
2015-10-12 13:02 Will Chapman Note Added: 0000099
2015-10-12 18:34 Stephen Atty Note Added: 0000100
2016-10-14 03:03 Noggin Note Added: 0000792
2016-10-14 10:44 Stephen Atty Note Added: 0000795
2016-10-14 10:47 Stephen Atty Note Added: 0000796
2017-04-15 13:41 Stephen Atty Note Added: 0001086
2017-04-15 13:41 Stephen Atty Assigned To => Stephen Atty
2017-04-15 13:41 Stephen Atty Status new => resolved
2017-04-15 13:41 Stephen Atty Resolution open => won't fix
2017-04-15 13:41 Stephen Atty Note Added: 0001087
2017-05-15 14:30 Autoclose Note Added: 0001113
2017-05-15 14:30 Autoclose Status resolved => closed
+Issue History